Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80650 - konsole sends 2x escape for alt + cursor/home/end keys
Summary: konsole sends 2x escape for alt + cursor/home/end keys
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: kdebase
Version: beta1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: 79579 CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2002-12-29 15:38 UTC by Hans de Goede
Modified: 2007-04-18 16:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-10-10 11:59:35 UTC


Attachments (Terms of Use)
Patch fixing the described problem (deleted)
2003-09-27 07:34 UTC, Hans de Goede
no flags Details | Diff

Description Hans de Goede 2002-12-29 15:38:56 UTC
Description of problem:
konsole sends 2x escape for alt + cursor/home/end keys

Version-Release number of selected component (if applicable):
kdebase-3.1-0.9

How reproducible:
Konsole prefixes all key-sequences with an esc when alt (meta) is pressed. This
is right for normal keys but wrong for keys which already send esc-sequences
(cursor keys, function keys).

Prefixing an esc-sequence with an esc leads to 2 esc's in one sequence 2 esc's
normally is seen as an abort try:

Steps to Reproduce:
1. Start mcedit in konsole
2. type something
3. press alt left or alt right or alt F6, etc 
    
Actual results:
Save on quit yes/no/cancel

Expected results:
dunno, maybe go word left go word right (this happens in bash) but not the quit
dialog box

Additional info:
This is related to konsole not doing anything with other modifier keys for the
cursor keys. I'll put this in a seperate bug.

This also bites vi, joe, mc itself and probably other apps. Anyways just like
bug 63473 its just plain wrong. (to send 2 esc's)

Comment 1 Hans de Goede 2003-07-24 12:47:10 UTC
Still there in severn, I'm willing to write a patch for this and bugs 63473 and
80651, if you're willing to include it :)

Comment 2 Hans de Goede 2003-09-27 07:34:17 UTC
Created attachment 94776 [details]
Patch fixing the described problem

Simple, clean patch, should probably be included upstream, I'll report this
there.

Comment 3 Hans de Goede 2003-10-10 09:43:15 UTC
ping


Comment 4 Ngo Than 2003-10-10 11:59:35 UTC
Hi Hans, kdebase-3.1.4-3 should include your patch. Many thanks for the patch file.

>Still there in severn, I'm willing to write a patch for this and bugs 63473 and
>80651, if you're willing to include it :)

Please attach your patch file here, i will add it in next rebuild of course ;-)


Note You need to log in before you can comment on or make changes to this bug.